package simulation_Lab06Version;

import java.awt.Graphics2D;
import java.util.ArrayList;
import java.util.Collection;

/**
 * This class encapsulates a world that consists 20 basic sprites.
 * At each successive frame, each sprite moves.
 * 
 * @author mb
 * 
 */
public class AnimationModel implements Model
{

	private int IMAGE_DIM = 500;
	private int worldWidth = IMAGE_DIM;
	private int worldHeight = IMAGE_DIM;
	private Collection<BasicSprite> myCollection;

	/**
	 * Constructs an animation model.
	 */
	public AnimationModel()
	{
		myCollection = new ArrayList<BasicSprite>();

		for (int i = 0; i < 20; i++)
		{
			BasicSprite theParticle = new BasicSprite(getWorldWidth(),
					getWorldHeight());
			myCollection.add(theParticle);
		}

	}

	public void drawNewFrame(Graphics2D graphics)
	{
		for (BasicSprite s : myCollection)
		{
			s.move();
			s.draw(graphics);
		}
	}

	public int getWorldWidth()
	{
		return worldWidth;
	}

	public void setWorldWidth(int worldWidth)
	{
		this.worldWidth = worldWidth;
	}

	public int getWorldHeight()
	{
		return worldHeight;
	}

	public void setWorldHeight(int worldHeight)
	{
		this.worldHeight = worldHeight;
	}

}
