package simulation_Lab06Version;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Random;

public class UtilityClass {

	private static Random random = new Random();

	/**
	 * This method generates an array. The size of the array is chosen randomly,
	 * but the size will always be between 10 and 20 elements. The elements are
	 * chosen randomly, and will always be single-digit positive integers.
	 * 
	 * @return an array, as specified above
	 */
	public static int[] getRandomlyGeneratedArray() {
		final int FLOOR = 10;
		final int CEILING = 20;
		final int ELEMENT_FLOOR = 1;
		final int ELEMENT_CEILING = 10;
		int size = (int) (random.nextDouble() * (CEILING - FLOOR) + FLOOR);
		int[] theArray = new int[size];
		for (int i = 0; i < size; i++) {
			theArray[i] = (int) (random.nextDouble()
					* (ELEMENT_CEILING - ELEMENT_FLOOR) + ELEMENT_FLOOR);
		}
		return theArray;
	}

	/**
	 * This method generates a random integer value from the interval [min,
	 * max].
	 * 
	 * @return the value, as specified above
	 */
	public static int getRandomValue(int min, int max) {
		int theValue = (int) (random.nextDouble() * (max - min) + min);
		return theValue;
	}

	/**
	 * This method returns a string that captures the timestamp at the moment of
	 * invocation, representing in the format as follows (example given):
	 * Wed-Feb-11 15:31:01:225
	 * 
	 * @return the value, as specified above
	 */
	public static String getTimestamp() {
		return (new SimpleDateFormat("E-MMM-dd HH:mm:ss:SSS"))
				.format(new Date());
	}
	
}
